edgeProp {ScISI} | R Documentation

## A function to estimate the edge proportion of a y2h induced graph on a protein complex

### Description

This function first creates the Y2H symmetric adjacency matrix on a protein complex (as we ignore directionality). Then it calculates an estimate for the proportion of edges the complex might have with high probability (if the sampling is unbaised and without error). In addition to this statistic, it also generates an instance of graph, specifically a graphNEL, on the adjcency matrix.

### Usage

    edgeProp(comp, compB2P, sampled)

### Arguments

`comp` | A character vector of the constitutent members of the protein complex of interest
`compB2P` | A named list; the names correspond to constituent proteins used as baits and the entries are the found hits (prey)
`sampled` | A character vector of constituent members used as baits

### Value

`eProp` | The estimated edge proportion of the complex
`y2hGraph` | A graphNEL instance of graph

### Author(s)

T Chiang

[Package ScISI version 1.16.0 Index]